<form id="formUbicacion" action="/almacenes/ubicacion_save" method="post">
	<input type="hidden" name="id" id="idUbicacion" value="0" />

	<div class="form-group row">
		<label for="id_almacen" class="col-sm-2 col-form-label">Almacen</label>
		<div class="col-sm-10">
		  <select id="idAlmacen" name ="id_almacen" class="form-control select-id-almacen">
		  		<option value="0">Seleccionar</option>
				<?php
					foreach($almacenes as $k => $v) {
						echo '<option value="' . $k . '">' . $v . '</option>';
					}
				?>
			</select>
		</div>
	</div>

	<div class="form-group row">
		<label for="nombre" class="col-sm-2 col-form-label">Ubicación</label>
		<div class="col-sm-10">
			<input type="text" name="nombre" class="form-control input-nombre" placeholder="Nombre Ubiación">
		</div>
	</div>

	<div class="form-group row d-none">
		<div class="col-sm-12 text-right">
		<button type="submit" class="btn btn-primary btn-crear">Crear</button>
		</div>
	</div>
</form>

<script>
$(document).ready(function() {

// carga Datos Ubicación

	$('#modalUbicacion').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget)
		var modal = $(this);

		if (button.data('id') == 0) {
			modal.find('.modal-wait').show();
			modal.find('#idUbicacion').val(0);
			modal.find('.select-id-almacen').val(button.data('id-almacen')).removeAttr('disabled');
			modal.find('.input-nombre').val('');
			modal.find('.btn-eliminar').hide();
			modal.find('.btn-editar').html('Crear');
		}
		else {
			var parametros = {
				id : button.data('id')
			};

			$.ajax({
				data:  parametros,
				url:   '/almacenes/get_ubicacion',
				type:  'post',
				beforeSend: function () {
				},
				success:  function (response) {
					ubicacion = JSON.parse(response);
					modal.find('#idUbicacion').val(ubicacion.id);
					modal.find('.select-id-almacen').val(ubicacion.id_almacen).attr('disabled','disabled');
					modal.find('.input-nombre').val(ubicacion.nombre);
				}
			});
		}
	});

	$('#modalUbicacion #formUbicacion').submit(function( event ) {
		event.preventDefault();
		$('#modalUbicacion .btn-editar').click();
	});


	$('#modalUbicacion .btn-editar' ).click(function() {
		var parametros = $('#formUbicacion').serialize();
		$.ajax({
			data:  parametros,
			url:   '/almacenes/save_ubicacion',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				var idAlmacen = JSON.parse(response);
				var id = $('#idUbicacion').val();

				if (id == 0) {
					//location.reload();
				}
				else {
					var ubicacion = $('#ubicacion' + id);
					ubicacion.find('.nombre').html($('.input-nombre').val());
				}
				$('#modalUbicacion').modal('hide');
			}
		});
	});
	/*
	$('#modalUbicacion .btn-eliminar').click(function() {
		if (confirm('Eliminar')) {
			var id = $('#idProveedor').val();
			var parametros = {
				id : id
			};
			$.ajax({
				data:  parametros,
				url:   '/proveedores/delete',
				type:  'post',
				beforeSend: function () {
				
				},
				success:  function (response) {
					$('#proveedor' + id).remove();
					$('#modalUbicacion').modal('hide');
				}
			});
		}
	});
	*/
});
</script>